package com.bocloud.cmp.model.xsky;

import java.util.Date;

public class FileSnapshotModel {
    private String fileSnapshotUuid;
    private String blockSnapshot;
    private Long cloneFolderNum;
    private Date createTime;
    private String remark;
    private Boolean formatted;
    private String fsFolder;
    private String name;
    private String pool;
    private Long size;
    private String status;
    private Date updateTime;

    public String getFileSnapshotUuid() {
        return fileSnapshotUuid;
    }

    public void setFileSnapshotUuid(String fileSnapshotUuid) {
        this.fileSnapshotUuid = fileSnapshotUuid;
    }

    public String getBlockSnapshot() {
        return blockSnapshot;
    }

    public void setBlockSnapshot(String blockSnapshot) {
        this.blockSnapshot = blockSnapshot;
    }

    public Long getCloneFolderNum() {
        return cloneFolderNum;
    }

    public void setCloneFolderNum(Long cloneFolderNum) {
        this.cloneFolderNum = cloneFolderNum;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Boolean getFormatted() {
        return formatted;
    }

    public void setFormatted(Boolean formatted) {
        this.formatted = formatted;
    }

    public String getFsFolder() {
        return fsFolder;
    }

    public void setFsFolder(String fsFolder) {
        this.fsFolder = fsFolder;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPool() {
        return pool;
    }

    public void setPool(String pool) {
        this.pool = pool;
    }

    public Long getSize() {
        return size;
    }

    public void setSize(Long size) {
        this.size = size;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}